org.eclipse.microprofile.openapi.apps.petstore.resource

## Class UserResource

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.petstore.resource.UserResource

    @Path(value="/user")
     @Produces(value={"application/json","application/xml"})
    public class UserResource
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`UserResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `createUser(User user)`
`jakarta.ws.rs.core.Response` `createUsersWithArrayInput(User[] users)`
`jakarta.ws.rs.core.Response` `createUsersWithListInput(List<User> users)`
`jakarta.ws.rs.core.Response` `deleteUser(String username)`
`jakarta.ws.rs.core.Response` `getUserByName(String username)`
`jakarta.ws.rs.core.Response` `loginUser(String username, String password)`
`jakarta.ws.rs.core.Response` `logoutUser()`
`jakarta.ws.rs.core.Response` `updateUser(String username, User user)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserResource

    public UserResource()

### Method Detail

#### createUser

    @POST
    public jakarta.ws.rs.core.Response createUser(User user)

#### createUsersWithArrayInput

    @POST
     @Path(value="/createWithArray")
    public jakarta.ws.rs.core.Response createUsersWithArrayInput(User[] users)

#### createUsersWithListInput

    @POST
     @Path(value="/createWithList")
    public jakarta.ws.rs.core.Response createUsersWithListInput(List<User> users)

#### updateUser

    @PUT
     @Path(value="/{username}")
    public jakarta.ws.rs.core.Response updateUser(@PathParam(value="username")
                                                                                   String username,
                                                                                   User user)

#### deleteUser

    @DELETE
     @Path(value="/{username}")
    public jakarta.ws.rs.core.Response deleteUser(@PathParam(value="username")
                                                                                      String username)

#### getUserByName

    @GET
     @Path(value="/{username}")
    public jakarta.ws.rs.core.Response getUserByName(@PathParam(value="username")
                                                                                      String username)
                                                                               throws ApiException

Throws:
  `ApiException`

#### loginUser

    @GET
     @Path(value="/login")
    public jakarta.ws.rs.core.Response loginUser(@QueryParam(value="username")
                                                                             String username,
                                                                             @QueryParam(value="password")
                                                                             String password)

#### logoutUser

    @GET
     @Path(value="/logout")
    public jakarta.ws.rs.core.Response logoutUser()